gtkmm: Gtk::TextChildAnchor Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::TextChildAnchor Class Reference
TextView Classes

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters). More...

Inheritance diagram for Gtk::TextChildAnchor:
[legend]
Collaboration diagram for Gtk::TextChildAnchor:
[legend]

## Public Member Functions
| TextChildAnchor (TextChildAnchor&& src) noexcept
TextChildAnchor& | operator= (TextChildAnchor&& src) noexcept
| ~TextChildAnchor () noexceptoverride
GtkTextChildAnchor* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkTextChildAnchor* | gobj () const
| Provides access to the underlying C GObject. More...
GtkTextChildAnchor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ListHandle< Widget* > | get_widgets ()
| Gets a list of all widgets anchored at this child anchor. More...
Glib::ListHandle< const Widget* > | get_widgets () const
| Gets a list of all widgets anchored at this child anchor. More...
bool | get_deleted () const
| Determines whether a child anchor has been deleted from the buffer. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< TextChildAnchor > | create ()

## Protected Member Functions
| TextChildAnchor ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::TextChildAnchor > | wrap (GtkTextChildAnchor* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters).

The anchor can have multiple widgets anchored, to allow for multiple views.

Typedefed as Gtk::TextBuffer::ChildAnchor.

## Constructor & Destructor Documentation

Gtk::TextChildAnchor::TextChildAnchor | ( | TextChildAnchor&& | src | ) |
| noexcept

Gtk::TextChildAnchor::~TextChildAnchor | ( |  | ) |
| overridenoexcept

Gtk::TextChildAnchor::TextChildAnchor | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<TextChildAnchor> Gtk::TextChildAnchor::create | ( |  | ) |
| static

bool Gtk::TextChildAnchor::get_deleted | ( |  | ) | const

Determines whether a child anchor has been deleted from the buffer.

Keep in mind that the child anchor will be unreferenced when removed from the buffer, so you need to hold your own reference (with Glib::object_ref()) if you plan to use this function — otherwise all deleted child anchors will also be finalized.

Returns
  `true` if the child anchor has been deleted from its buffer.

static GType Gtk::TextChildAnchor::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Glib::ListHandle<Widget*> Gtk::TextChildAnchor::get_widgets | ( |  | ) |

Gets a list of all widgets anchored at this child anchor.

Returns
  List of widgets anchored at anchor.

Glib::ListHandle<const Widget*> Gtk::TextChildAnchor::get_widgets | ( |  | ) | const

Gets a list of all widgets anchored at this child anchor.

Returns
  List of widgets anchored at anchor.

GtkTextChildAnchor* Gtk::TextChildAnchor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkTextChildAnchor* Gtk::TextChildAnchor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkTextChildAnchor* Gtk::TextChildAnchor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

TextChildAnchor& Gtk::TextChildAnchor::operator= | ( | TextChildAnchor&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::TextChildAnchor > wrap | ( | GtkTextChildAnchor * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/textchildanchor.h